import request from './request.js'

// 获取课程列表
export function getCourseList() {
  return request({
    url: '/courses',
    method: 'get'
  })
}

// 获取课程详情
export function getCourseDetail(id) {
  return request({
    url: `/courses/${id}`,
    method: 'get'
  })
}

// 获取课程章节
export function getCourseChapters(id) {
  return request({
    url: `/courses/${id}/chapters`,
    method: 'get'
  })
}